------------------------------------------------------------------------------
--                                                                          --
--                An Ada2005 binding to the Qt C++ framework                --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2008 Vadim Godunko <vgodunko@gmail.com>                      --
--                                                                          --
-- QtAda is free software;  you can  redistribute it and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. QtAda is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License distributed with QtAda;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------
--    This file has been generated automatically. Please don't edit it.     --
------------------------------------------------------------------------------
with Qt4.Menus;
with Qt_Ada.Internals.Object_Registry;
with Qt_Ada.Internals.Objects;

with Qt_Ada.Internals.Objects.Mdi_Sub_Window_Proxies;
pragma Warnings (Off, Qt_Ada.Internals.Objects.Mdi_Sub_Window_Proxies);
--  Elaboration of the proxy tagged type package register proxy object
--  constructor. Bindings must be able to create proxy object of the
--  corresponding tagged type for works properly.

package body Qt4.Mdi_Sub_Windows is

   function isShaded_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, isShaded_0_wrapper,
                     "__Qt4Ada_QMdiSubWindow_isShaded_0_wrapper");

   function keyboardPageStep_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, keyboardPageStep_0_wrapper,
                     "__Qt4Ada_QMdiSubWindow_keyboardPageStep_0_wrapper");

   function keyboardSingleStep_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, keyboardSingleStep_0_wrapper,
                     "__Qt4Ada_QMdiSubWindow_keyboardSingleStep_0_wrapper");

   procedure setKeyboardPageStep_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Step : Qt4.Q_Integer);
   pragma Import (C, setKeyboardPageStep_0_wrapper,
                     "__Qt4Ada_QMdiSubWindow_setKeyboardPageStep_0_wrapper");

   procedure setKeyboardSingleStep_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Step : Qt4.Q_Integer);
   pragma Import (C, setKeyboardSingleStep_0_wrapper,
                     "__Qt4Ada_QMdiSubWindow_setKeyboardSingleStep_0_wrapper");

   procedure setSystemMenu_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     System_Menu : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, setSystemMenu_0_wrapper,
                     "__Qt4Ada_QMdiSubWindow_setSystemMenu_0_wrapper");

   procedure setWidget_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Widget : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, setWidget_0_wrapper,
                     "__Qt4Ada_QMdiSubWindow_setWidget_0_wrapper");

   function systemMenu_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return not null access Qt_Ada.Internals.Objects.QObject;
   pragma Import (C, systemMenu_0_wrapper,
                     "__Qt4Ada_QMdiSubWindow_systemMenu_0_wrapper");

   function widget_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return not null access Qt_Ada.Internals.Objects.QObject;
   pragma Import (C, widget_0_wrapper,
                     "__Qt4Ada_QMdiSubWindow_widget_0_wrapper");

   procedure showShaded_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, showShaded_0_wrapper,
                     "__Qt4Ada_QMdiSubWindow_showShaded_0_wrapper");

   procedure showSystemMenu_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, showSystemMenu_0_wrapper,
                     "__Qt4Ada_QMdiSubWindow_showSystemMenu_0_wrapper");

   pragma Style_Checks ("N");

   ---------------
   -- Is_Shaded --
   ---------------

   function Is_Shaded
    (Self : not null access constant Q_Mdi_Sub_Window'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isShaded_0_wrapper
           (Self.QObject_View));
   end Is_Shaded;

   ------------------------
   -- Keyboard_Page_Step --
   ------------------------

   function Keyboard_Page_Step
    (Self : not null access constant Q_Mdi_Sub_Window'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        keyboardPageStep_0_wrapper
         (Self.QObject_View);
   end Keyboard_Page_Step;

   --------------------------
   -- Keyboard_Single_Step --
   --------------------------

   function Keyboard_Single_Step
    (Self : not null access constant Q_Mdi_Sub_Window'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        keyboardSingleStep_0_wrapper
         (Self.QObject_View);
   end Keyboard_Single_Step;

   ----------------------------
   -- Set_Keyboard_Page_Step --
   ----------------------------

   procedure Set_Keyboard_Page_Step
    (Self : not null access Q_Mdi_Sub_Window'Class;
     Step : Qt4.Q_Integer)
   is
   begin
      setKeyboardPageStep_0_wrapper
       (Self.QObject_View,
        Step);
   end Set_Keyboard_Page_Step;

   ------------------------------
   -- Set_Keyboard_Single_Step --
   ------------------------------

   procedure Set_Keyboard_Single_Step
    (Self : not null access Q_Mdi_Sub_Window'Class;
     Step : Qt4.Q_Integer)
   is
   begin
      setKeyboardSingleStep_0_wrapper
       (Self.QObject_View,
        Step);
   end Set_Keyboard_Single_Step;

   ---------------------
   -- Set_System_Menu --
   ---------------------

   procedure Set_System_Menu
    (Self : not null access Q_Mdi_Sub_Window'Class;
     System_Menu : not null access Qt4.Menus.Q_Menu'Class)
   is
   begin
      setSystemMenu_0_wrapper
       (Self.QObject_View,
        System_Menu.QObject_View);
   end Set_System_Menu;

   ----------------
   -- Set_Widget --
   ----------------

   procedure Set_Widget
    (Self : not null access Q_Mdi_Sub_Window'Class;
     Widget : not null access Qt4.Widgets.Q_Widget'Class)
   is
   begin
      setWidget_0_wrapper
       (Self.QObject_View,
        Widget.QObject_View);
   end Set_Widget;

   -----------------
   -- System_Menu --
   -----------------

   function System_Menu
    (Self : not null access constant Q_Mdi_Sub_Window'Class)
       return not null access Qt4.Menus.Q_Menu'Class
   is
   begin
      return
        Qt4.Menus.Q_Menu'Class
         (Qt_Ada.Internals.Object_Registry.To_Q_Object
           (systemMenu_0_wrapper
             (Self.QObject_View)).all)'Access;
   end System_Menu;

   ------------
   -- Widget --
   ------------

   function Widget
    (Self : not null access constant Q_Mdi_Sub_Window'Class)
       return not null access Qt4.Widgets.Q_Widget'Class
   is
   begin
      return
        Qt4.Widgets.Q_Widget'Class
         (Qt_Ada.Internals.Object_Registry.To_Q_Object
           (widget_0_wrapper
             (Self.QObject_View)).all)'Access;
   end Widget;

   -----------------
   -- Show_Shaded --
   -----------------

   procedure Show_Shaded
    (Self : not null access Q_Mdi_Sub_Window'Class)
   is
   begin
      showShaded_0_wrapper
       (Self.QObject_View);
   end Show_Shaded;

   ----------------------
   -- Show_System_Menu --
   ----------------------

   procedure Show_System_Menu
    (Self : not null access Q_Mdi_Sub_Window'Class)
   is
   begin
      showSystemMenu_0_wrapper
       (Self.QObject_View);
   end Show_System_Menu;

end Qt4.Mdi_Sub_Windows;
